Subject: bug#73601: bug#73602: failed to compute the derivation for Guix

From: Fabrice Tudoret <[email-masked]>
Date: Fri, 11 Oct 2024 15:13:10 +0200

Hi Simon,

I have reinstalled GUIX two times since the sent logs. But the situation 
is not better.

There are still attempts and fails to build  the 
patch-mesboot-2.5.9.drv, but not for all users.

GUIX seem's to work fine with the root account and the local users but 
not with ldap users.

-----

This is the results of the checks you suggest

1-

[root@cluster24 ~]# cat /gnu/store/jc3vgcsplqsim3na80b0n2iilna5j6gx-Python-3.5.9.tar.xz.drv  | sed 's/)/)\n/g'
Derive([("out","/gnu/store/cv4h89n30myf3nhjqnnahlbij2gaw21z-Python-3.5.9.tar.xz","","")
],[("/gnu/store/21c7pjahkh20mmzq2ivki57zwwvp6nwn-bootstrap-binaries-0.drv",["out"])
,("/gnu/store/5gf7f8awndhnf2gn2mzbfbqr3ix9aj80-module-import-compiled.drv",["out"])
,("/gnu/store/g08l2msvnivyi6x5nw52ak8n17sw9lzr-guile-bootstrap-2.0.drv",["out"])
,("/gnu/store/lb5b7svdmfj1ijnzrripsjcv0bhqzpwb-Python-3.5.9.tar.xz.drv",["out"])
],["/gnu/store/1s8jdafkyhz0p81l0j37yih9gbrb5gix-module-import","/gnu/store/h58cvdcdak4d87lw0fkvmkhan95ssljx-Python-3.5.9.tar.xz-builder"],"x86_64-linux","/gnu/store/lgi9x15a0w35mcpd7g1kb9274r6wy4pv-guile-bootstrap-2.0/bin/guile",["--no-auto-compile","-L","/gnu/store/1s8jdafkyhz0p81l0j37yih9gbrb5gix-module-import","-C","/gnu/store/gz5rcilhcsc5amgxcgyxvn0s5px8sg80-module-import-compiled","/gnu/store/h58cvdcdak4d87lw0fkvmkhan95ssljx-Python-3.5.9.tar.xz-builder"],[("guix properties","((type . origin)
  (patches . 0)
)
")
,("out","/gnu/store/cv4h89n30myf3nhjqnnahlbij2gaw21z-Python-3.5.9.tar.xz")
])

2 -The script builder 
/gnu/store/ykqckrxcmifvxz0nb58lv2drgd14l377-Python-3.5.9.tar.xz-builder 
is well present in /gnu/store.

Thanks for your valued assistance.

Regards,

Fabrice

Le 11/10/2024 à 12:47, Simon Tournier a écrit :
> Hi Fabrice,
>
>> Unfortunately my GUIX is still in a bad mood or worst, since I have
>> troubles with all users now.
> Oh!  It means something is incorrectly configured for sure. :-(
>
>
>> The issue is not limited to the "pull", I have also a problem with the
>> command "guix package -i hello":
> Yes, that’s expected.  Because you have a tiny difference really deep in
> the graph of dependencies, and that difference triggers a complete world
> rebuild.
>
>> / 'build' phasebuilder for `/gnu/store/3cc3xp9p4xdm1hkbxshcmwvk49vqg7jq-patch-mesboot-2.5.9.drv' failed with exit code 1
> Well, the fact MES (bootstrap) does not build for you is another
> problem.  Somehow, it is known that the full-bootstrap [1] is sensible
> to parameters as hardware for example.  If correctly configured, you
> should not build from the start but just download substitutes.
>
>> I will continue to dig in a little, but I wonder if a complete
>> re-install could be an option ?
> IMHO, for digging a bit, I would try to catch the difference.  We have
> two tools at hand: derivation and builder script.
>
> For instance, let go back to the previous email.  If I read correctly,
> you get:
>
>    /gnu/store/jc3vgcsplqsim3na80b0n2iilna5j6gx-Python-3.5.9.tar.xz.drv
>
> but I cannot scrutinize it since I am not able to locally reproduce
> it. :-)  Could you please share:
>
>    cat /gnu/store/jc3vgcsplqsim3na80b0n2iilna5j6gx-Python-3-Python-3.5.9.tar.xz.drv \
>        | sed 's/)/)\n/g'
>
> ?  This will list all the inputs.  The first thing is to check the
> fixed-output: you must have,
>
>    /gnu/store/lb5b7svdmfj1ijnzrripsjcv0bhqzpwb-Python-3.5.9.tar.xz.drv
>
> If not, ouch!  Then you should have 3 inputs:
>
>      /gnu/store/38951a2gcwb4jyrwlzg634jfwkdih7m2-bootstrap-binaries-0.drv
>      /gnu/store/ff107pg13nkarix7k9hgxxwx9cnn4602-module-import-compiled.drv
>      /gnu/store/g08l2msvnivyi6x5nw52ak8n17sw9lzr-guile-bootstrap-2.0.drv
>
> Which one is different?  None?  One?  More?  Based on that we can
> restrict the space of research.
>
> The other part is the script builder.  For me, it reads:
>
>     /gnu/store/ykqckrxcmifvxz0nb58lv2drgd14l377-Python-3.5.9.tar.xz-builder
>
> Is it the same?  If yes, we will focus on above.  If no, could you
> attach the file?
>
> Cheers,
> simon
>
> PS: Hum, I do not know why your reply is not visible by Debbugs… Anyway!
> For the record and maybe the ease for referencing, here some information
> I extract from my own inbox since I had been CC.
>
>          Message-ID:<[email-masked]>
>          Date: Mon, 7 Oct 2024 15:49:36 +0200
>          References:<[email-masked]>
>          In-Reply-To:<[email-masked]>
>
> 1:https://simon.tournier.info/posts/2023-10-01-bootstrapping.html